Páginas intermedias
GET https://vtx.best/api/splash-pages/
curl --request GET \
--url 'https://vtx.best/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vtx.best/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena de texto | El texto de búsqueda. |
| search_by | Opcional Cadena de texto | El campo por el que buscas. Valores permitidos: name. |
| datetime_field | Opcional Cadena de texto | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena de texto | Filtra los resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena de texto | Filtra los resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena de texto | El campo por el que se ordenan los resultados. Valores permitidos: splash_page_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena de texto | El orden de los resultados. Valores permitidos: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Número entero | El número de página del que quieres obtener resultados. El valor predeterminado es 1. |
| results_per_page | Opcional Número entero | La cantidad de resultados por página. Valores permitidos: 10, 25, 50, 100, 250, 500, 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-27 08:22:37"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://vtx.best/api/splash-pages?page=1",
"last": "https://vtx.best/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://vtx.best/api/splash-pages?page=1"
}
}
GET https://vtx.best/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://vtx.best/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vtx.best/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-27 08:22:37"
}
}
POST https://vtx.best/api/splash-pages
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Obligatorio Cadena de texto | - |
| title | Opcional Cadena de texto | - |
| logo | Opcional Archivo | - |
| favicon | Opcional Archivo | - |
| opengraph | Opcional Archivo | - |
| description | Opcional Cadena de texto | - |
| secondary_button_name | Opcional Cadena de texto | - |
| secondary_button_url | Opcional Cadena de texto | - |
| custom_css | Opcional Cadena de texto | - |
| custom_js | Opcional Cadena de texto | - |
| ads_header | Opcional Cadena de texto | - |
| ads_footer | Opcional Cadena de texto | - |
| link_unlock_seconds | Opcional Número entero | - |
| auto_redirect | Opcional Booleano | - |
curl --request POST \
--url 'https://vtx.best/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://vtx.best/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-27 08:22:37"
}
}
POST https://vtx.best/api/splash-pages/{splash_page_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena de texto | - |
| title | Opcional Cadena de texto | - |
| logo | Opcional Archivo | - |
| favicon | Opcional Archivo | - |
| opengraph | Opcional Archivo | - |
| description | Opcional Cadena de texto | - |
| secondary_button_name | Opcional Cadena de texto | - |
| secondary_button_url | Opcional Cadena de texto | - |
| custom_css | Opcional Cadena de texto | - |
| custom_js | Opcional Cadena de texto | - |
| ads_header | Opcional Cadena de texto | - |
| ads_footer | Opcional Cadena de texto | - |
| link_unlock_seconds | Opcional Número entero | - |
| auto_redirect | Opcional Booleano | - |
curl --request POST \
--url 'https://vtx.best/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://vtx.best/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-10-27 08:22:37"
}
}
DELETE https://vtx.best/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://vtx.best/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vtx.best/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \